package whatsapp_channel

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp_channel"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp_channel whatsapp_channel GetWhatsappChannelById
//
// Get whatsapp channel by ID | 通过ID获取WhatsappChannel
//
// Get whatsapp channel by ID | 通过ID获取WhatsappChannel
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: WhatsappChannelInfoResp

func GetWhatsappChannelByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp_channel.NewGetWhatsappChannelByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetWhatsappChannelById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
